## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > GetHWND

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_GetHWND, Tk_AttachHWND — manage interactions between the Windows handle and an X window

### SYNOPSIS

#include <tkPlatDecls.h>
HWND
Tk_GetHWND(window)
Window
Tk_AttachHWND(tkwin, hwnd)

### ARGUMENTS

Window window (in)
  X token for window.

Tk_Window tkwin (in)
  Tk window for window.

HWND hwnd (in)
  Windows HWND for window.

### DESCRIPTION

Tk_GetHWND returns the Windows HWND identifier for X Windows window given by window.

Tk_AttachHWND binds the Windows HWND identifier to the specified Tk_Window given by tkwin. It returns an X Windows window that encapsulates the HWND.

### KEYWORDS

identifier, window
Copyright © 1998-2000 by Scriptics Corporation.